incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Wido den Hollander <w...@widodh.nl>
Subject Re: libvirt-java 0.4.8 RPM and DEB packages available
Date Wed, 08 Aug 2012 10:37:34 GMT
On 08/08/2012 01:58 AM, David Nalley wrote:
> On Tue, Aug 7, 2012 at 5:03 AM, Wido den Hollander <wido@widodh.nl> wrote:
>> Hi,
>>
>> Yesterday my patch for building libvirt-java Debian packages got
>> committed[0], so both RPM[1] and DEB[2] packages are available.
>>
>> Since the licensing for libvirt-java is still a problem we should be able to
>> have the RPM and Debian packages depend on these bindings.
>>
>> The main problem will be how we are going to make clear to our users that
>> they have to grab these bindings from a different location.
>>
>> Do we want to go down this road? Do we really have to?
>>
>> It would just be a matter of modifying the spec and control file, but the
>> main problem would be users who are upgrading.
>>
>> Wido
>>
>> [0]:
>> http://libvirt.org/git/?p=libvirt-java.git;a=commitdiff;h=8bb094d8c9e5b09d066f60c653d100e22dbe770a
>> [1]: http://libvirt.org/sources/java/
>> [2]: http://zooi.widodh.nl/cloudstack/libvirt-java/
>
>
>
> Let me ask the question:
>
> What is missing if they have libvirt-java but not our preferred
> version of libvirt-java?
>

0.4.7 is missing the code Edison wrote, for example the API of 
StoragePoolRefresh isn't correct which causes a storage pool refresh not 
to work.

This leads to hypervisors not reporting the correct storage pool 
allocation and size.

Wido

> --David
>


Mime
View raw message